/*
 * $Id: Page.java,v 1.3 2003/07/06 09:42:56 kenta Exp $
 *
 * Copyright (C) 2003 Kenta Cho. All rights reserved.
 */
import java.io.IOException;

/**
 * Wiki page.
 */
public class Page {
	public String nm;
	public String ct;
	public boolean dt; // Is dirty.
	public boolean ld; // Is loaded.

	// For scratch pads sectors handle.
	public static int MS = 10240;
	public int sl;
	public int[] sn = new int[MS / Iwv.SS + 1];

	public byte[] ctb = new byte[MS];
	public int ctbn;

	public Page() {
	}

	public Page(String n, String c) throws IOException {
		nm = n;
		setContents(c);
		ld = true;
	}

	public void setContents(String c) throws IOException {
		ct = c;
		ctb = WikiHandler.getUTFBytes(ct);
		ctbn = ctb.length;
		if (ctbn <= 0) {
			sl = 1;
		} else {
			sl = 2 + ((ctbn - 1) / Iwv.SS);
		}
		ld = true;
	}
}
